FLANG

Public Member Functions | List of all members
Fortran::parser::ParseState Class Reference

## Public Member Functions
| ParseState (const CookedSource &cooked)
| ParseState (const ParseState &that)
| ParseState (ParseState &&that)
ParseState & | operator= (const ParseState &that)
ParseState & | operator= (ParseState &&that)
const Messages & | messages () const
Messages & | messages ()
const Message::Reference & | context () const
Message::Reference & | context ()
bool | anyErrorRecovery () const
void | set_anyErrorRecovery ()
bool | anyConformanceViolation () const
void | set_anyConformanceViolation ()
UserState * | userState () const
ParseState & | set_userState (UserState *u)
bool | inFixedForm () const
ParseState & | set_inFixedForm (bool yes=true)
bool | deferMessages () const
ParseState & | set_deferMessages (bool yes=true)
bool | anyDeferredMessages () const
ParseState & | set_anyDeferredMessages (bool yes=true)
bool | anyTokenMatched () const
ParseState & | set_anyTokenMatched (bool yes=true)
const char * | GetLocation () const
void | PushContext (MessageFixedText text)
void | PopContext ()
template<typename... A>
void | Say (CharBlock range, A &&... args)
template<typename... A>
void | Say (const MessageFixedText &text, A &&... args)
template<typename... A>
void | Say (const MessageExpectedText &text, A &&... args)
void | Nonstandard (LanguageFeature lf, const MessageFixedText &msg)
void | Nonstandard (CharBlock range, LanguageFeature lf, const MessageFixedText &msg)
bool | IsNonstandardOk (LanguageFeature lf, const MessageFixedText &msg)
bool | IsAtEnd () const
const char * | UncheckedAdvance (std::size_t n=1)
std::optional< const char * > | GetNextChar ()
std::optional< const char * > | PeekAtNextChar () const
std::size_t | BytesRemaining () const
void | CombineFailedParses (ParseState &&prev)

The documentation for this class was generated from the following file:

- include/flang/Parser/parse-state.h